## debian-timeline 7

=== Makefile ===
INPUT	:= $(wildcard data/*)
OUTPUT	:= $(addsuffix .xml,$(subst data/,xml/,$(basename $(INPUT))))
DESTDIR := /
TARGET  := $(DESTDIR)/usr/share/debian-timeline

all: build check

check:
	@set -e; for LIBS in ajax js; do \
	  if [ ! -e media/timeline_$$LIBS ]; then \
	    echo "Warning - media/timeline_$$LIBS does not exist or is an invalid symlink."; \
	  fi \
	done

xml/%.xml: data/%
	@mkdir -p xml
	./build.py $< >$@

build: $(OUTPUT)

clean:
	rm -rf xml

install: build
	install -d $(TARGET)
	install -m644 -t $(TARGET) index.html 
	set -e; for DIR in media xml; do \
		install -d $(TARGET)/$$DIR; \
		install -m644 -t $(TARGET)/$$DIR `find $$DIR -mindepth 1 -type f`; \
	done

.PHONY: install clean install check

## debian-timeline 3

=== debian/changelog ===
debian-timeline (3) unstable; urgency=low

  * Added:
    - "EU/IPv6 upload queue created"
    - "Debian 5.0 ("lenny") updated (r2)"
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 27 Jun 2009 22:58:45 +0100

debian-timeline (2) unstable; urgency=low

  * "Debian Bug #530000 reported by Robert McQueen"
  * Add dates for Debian Pure Blends (previously "Custom Debian
    Distributions"). Thanks to Ben Armstrong. (Closes: #529932)
  * Add Exim-related dates:
    - "Bug filed to replace smail with exim as default MTA"
    - "exim is the new default MTA for Debian stable"

 -- Chris Lamb <lamby@debian.org>  Tue, 26 May 2009 01:53:40 +0100

debian-timeline (1) unstable; urgency=low

  * Initial release. (Closes: #529192)

 -- Chris Lamb <lamby@debian.org>  Sun, 17 May 2009 23:29:15 +0100

=== debian/control ===
Source: debian-timeline
Section: web
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python, python-debian
Standards-Version: 3.8.2
Homepage: http://timeline.debian.net/
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/debian-timeline.git
Vcs-Git: git://git.chris-lamb.co.uk/debian/debian-timeline.git

Package: debian-timeline
Architecture: all
Depends: ${misc:Depends}, libjs-simile-timeline
Description: Web-based timeline of the Debian GNU/Linux project
 The Debian Project timeline is a HTML and Javascript-based interactive
 timeline of the Debian GNU/Linux project. It includes the dates of:
 . 
  * All Debian releases, including point releases and freeze windows
  * Infrastructure changes
  * Conferences and bug-squashing parties
  * General resolution and DPL votes
  * Important releases of Debian-specific and third-party software
  * Curiosa items such as anniversaries and bug number milestones
  * (and more)

## debian-timeline 7

=== debian/changelog ===
debian-timeline (7) unstable; urgency=low

  * Cachebust the XML sources when downloading them.
  * Added:
    - "DebCamp9, Cáceres, Spain"
    - "DebConf9, Cáceres, Spain"
    - "Debian Open Day, Cáceres, Spain"
    - "Debian 5.0 ("lenny") updated (r3)"
    - "grub package now based on GRUB2"
  * Bump Standards-Version to 3.8.3.
  * Bump Build-Depends on debhelper to 7.0.50~ per lintian warning.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Sep 2009 12:16:41 +0100

debian-timeline (6) unstable; urgency=low

  * Added:
    - "Debian Bug #540000 reported by Jeff Chimene"
    - "Debian Miniconf 6 at LCA2007"
    - "woody release archived"
    - "Debian Security Tracker announced"
    - "Changes to handling of inactive accounts"
    - "French reaches 100% translation"
    - "popcon reaches 50,000 contributors"

 -- Chris Lamb <lamby@debian.org>  Mon, 10 Aug 2009 04:13:28 +0100

debian-timeline (5) unstable; urgency=low

  * Added:
    - "Debian decides to adopt time-based release freezes"
    - "squeeze release goals announced"

 -- Chris Lamb <lamby@debian.org>  Thu, 30 Jul 2009 20:18:46 +0200

debian-timeline (4) unstable; urgency=low

  * Added:
    - "gluck.debian.org shut down"
    - "debian-policy 2.2.0.0"
    - "debian-policy 2.3.0.0"
    - "debian-policy 2.4.0.0"
    - "debian-policy 2.5.0.0"
    - "debian-policy 3.0.1.0"
    - "debian-policy 3.1.0.0"
    - "debian-policy 3.2.0.0"
    - "debian-policy 3.5.0.0"
    - "debian-policy 3.6.0"
    - "debian-policy 3.7.0.0"
    - "debian-policy 3.8.0.0"
  * Fix broken packages.debian.org changelog source links.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Jul 2009 11:38:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python, python-debian
-Standards-Version: 3.8.2
+Standards-Version: 3.8.3
 Homepage: http://timeline.debian.net/
 Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/debian-timeline.git
 Vcs-Git: git://git.chris-lamb.co.uk/debian/debian-timeline.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	DESTDIR=$(DESTDIR)/usr/share/debian-timeline dh_auto_install

## debian-timeline 9

=== debian/changelog ===
debian-timeline (9) unstable; urgency=low

  * Fix FTBFS when run in non-UTF8 locale. (Closes: #574303)
  * Added:
    - "Debian Bug #560000 reported by Mika Tiainen"
    - "Debian Bug #570000 reported by Ron Murray"

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Mar 2010 15:36:03 +0000

debian-timeline (8) unstable; urgency=low

  * Added:
    - "Debian Bug #550000 reported by Erik de Castro Lopo"
    - "Debian 5.0 ("lenny") updated (r4)"
    - "Lintian-based autorejects"
    - "FTPMaster meeting, Essen, Germany"
  * Source URLs for various orbituaries. Patch by Seo Sanghyeon
    <sanxiyn@gmail.com>.
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Feb 2010 12:26:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python, python-debian
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://timeline.debian.net/
 Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/debian-timeline.git
 Vcs-Git: git://git.chris-lamb.co.uk/debian/debian-timeline.git

## debian-timeline 12

=== debian/changelog ===
debian-timeline (12) unstable; urgency=low

  * Add Debian Live entries. (Closes: #590917)
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Jul 2010 11:53:05 -0400

debian-timeline (11) unstable; urgency=low

  * Fix FTBFS by setting source format manually to '3.0 (native)'.
    (Closes: #590414)
  * Added:
    - "Debian Bug #580000 reported by Salvo Tomaselli"
    - "Debian Bug #590000 reported by Joe Dalton"

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Jul 2010 22:16:02 +0100

debian-timeline (10) unstable; urgency=low

  * iter_paragraphs needs to take an iterable of strings. This fixes an issue
    where we weren't actually including any event data in the Debian package.
    However, I think the cited bug may be about encodings or excessive
    cross-domain security for file:// protocols.
    
    If this is the case, we can do nothing in this package, except point out
    that this is not really supported in all browsers - please configure a
    "real" web server or use:
    
      $ cd /usr/share/debian-timeline && python -m SimpleHTTPServer
    
    And then visit http://localhost:8000/. (Closes: #588062)
    
  * Added:
    - "Archive snapshot service available"
    - "Stefano Zacchiroli elected as DPL"
    - "DPL 2010 elections"
    - "Debian 4.0 ("etch") updated (r9)"
    - "Debian 5.0 ("lenny") updated (r5)"
    - "Derivatives Front Desk"
    - "debian-policy 3.9.0.0"
    - "New source package formats available"
    - "NM meeting"
    - "FOSDEM 2010"
    - "Bug squashing party (Germany)"
    - "Bug squashing party (Tokyo)"
    - "Thailand MiniDebCamp 2010"
    - "Panamá MiniDebConf 2010"
    - "DebCamp10, New York City, USA"
    - "DebConf10, New York City, USA"
    - "DudesConf 2010, Coruña, Spain"
    - "etch release archived"
    - "Parallel booting enabled by default"
    - "Mini DebConf in Berlin, Germany"
  * Update "debian_bundle" import to just "debian".
  * .encode('utf-8') when outputting over the terminal.
  * Don't default to a date so far in the past.
  * Move dpkg v3 (quilt) source package format.

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Jul 2010 11:17:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python, python-debian
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://timeline.debian.net/
 Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/debian-timeline.git
 Vcs-Git: git://git.chris-lamb.co.uk/debian/debian-timeline.git

## debian-timeline 15

=== debian/changelog ===
debian-timeline (15) unstable; urgency=low

  * Update Vcs-{Git,Browser}.
  * Add squeeze r1 point release.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Mar 2011 11:31:59 +0000

debian-timeline (14) unstable; urgency=low

  * Fix embarassing ``5.0 ("squeeze")'' typo. Thanks to Paul Wise (pabs).

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Feb 2011 03:10:40 +0000

debian-timeline (13) unstable; urgency=low

  * Added squeeze release.
  * Added squeeze "era".
  * Apply contributions from Paul Wise <pabs@debian.org>:
    - lenny r{6,7,8} point releases.
    - Debian 6.0 ("squeeze") frozen.
    - Debian welcomes non-packaging contributors.
    - Frans Pop passed away.
    - Add a URL for passing away of Joel 'Espy' Klecker.
    - Debian Policy 3.9.1.
    - Bugs #600000 and #610000 reported.
  * Added FOSDEM 2011.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 19:04:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends-Indep: python, python-debian
 Standards-Version: 3.9.1
 Homepage: http://timeline.debian.net/
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/debian-timeline.git
-Vcs-Git: git://git.chris-lamb.co.uk/debian/debian-timeline.git
+Vcs-Git: git://github.com/lamby/debian-timeline.git
+Vcs-Browser: https://github.com/lamby/debian-timeline
 
 Package: debian-timeline
 Architecture: all

## debian-timeline 17

=== debian/changelog ===
debian-timeline (17) unstable; urgency=low

  * Add:
    - "Anthony Towns steps down as Release Manager" (Closes: #655147)
    - "Resolution to declassify debian-private passed" (Closes: #655149)

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jan 2012 17:19:25 +0000

debian-timeline (16) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Add events from Paul Wise <pabs@debian.org>:
    - Add DebConf11 and DebCamp11
    - A new version of debian-policy was released
    - armhf and s390x architectures added
    - Fix the squeeze release era URL
    - Many more bugs were filed
    - Stefano was re-elected as DPL
  * Add event from Martin Zobel-Helas <zobel@debian.org>:
    - add DSA meeting 2010 in Munich (Closes: #653447)

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Jan 2012 13:12:28 +0000

## debian-timeline 18

=== debian/changelog ===
debian-timeline (18) unstable; urgency=low

  * Debcamp11 happened in 2011, not 2010. Thanks to Anders Jackson
    <anders.jackson@hig.se>.
  * Add __history__.html for simile.
  * Add BSP entries from Paul Wise.
  * Move to entirely debian/-based build process.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Feb 2012 20:40:44 +0000

## debian-timeline 19

=== debian/changelog ===
debian-timeline (19) unstable; urgency=low

  * Add a whole bunch of new events from Paul Wise <pabs@debian.org>.
    (Closes: #686145)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Sep 2012 02:47:15 +0100

## debian-timeline 20

=== debian/changelog ===
debian-timeline (20) unstable; urgency=low

  * Add another lot of events from Paul Wise (pabs).

 -- Chris Lamb <lamby@debian.org>  Wed, 30 Jan 2013 00:39:44 +0000

## debian-timeline 24

=== debian/changelog ===
debian-timeline (24) unstable; urgency=low

  * Add events from Paul Wise (pabs):
    - First wheezy point release.
    - New look for Debian's websites
    - Debian wins two Linux New Media Awards.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jul 2013 11:58:55 +0100

debian-timeline (23) unstable; urgency=low

  * Add a lot of events and corrections from from Paul Wise. (Closes: #710748)

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Jun 2013 09:02:19 +0100

debian-timeline (22) unstable; urgency=low

  * Add wheezy release. Thanks to Paul Wise (Closes: #706793)

 -- Chris Lamb <lamby@debian.org>  Sun, 05 May 2013 22:45:12 +0100

debian-timeline (21) unstable; urgency=low

  * Updates from Paul Wise (pabs):
    - Add ``Debian 6.0 ("squeeze") updated (r7)''
    - Add some missing DPL elections
    - Fix the URLs for a couple of DPL elections
    - Correct the start dates for the early DPL votes; include the nomination
      period.
  * Apply lots of updates from Paul Wise (Closes: #706513)

 -- Chris Lamb <lamby@debian.org>  Thu, 02 May 2013 22:59:39 +0100

## debian-timeline 26

=== debian/changelog ===
debian-timeline (26) unstable; urgency=low

  * Add new events from Paul Wise (pabs):
    - New point releases
    - Jessie freeze date
    - BSPs
    - Policy 3.9.5.0
    - s390 retired
    - Mini-Debconfs

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Nov 2013 10:46:20 +0000

debian-timeline (25) unstable; urgency=low

  * Add events from Paul Wise (pabs):
    - source browser service available
    - Bug #720000 was reported
    - Add the recent Oslo BSP.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Oct 2013 20:51:17 +0100

## debian-timeline 29

=== debian/changelog ===
debian-timeline (29) unstable; urgency=low

  * Apply updates from Paul Wise (pabs):
    - Bug squashing party (conova communications, Salzburg, Austria)
    - Debian Bug #740000 reported by Miguel Landaeta
    - unstable reaches 20,000 source packages
    - services census
    - squeeze and wheezy point releases
    - Switch from http to https and current addresses where possible

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Mar 2014 12:23:18 +0000

debian-timeline (28) unstable; urgency=low

  * Correct year for DPL 2012 elections. Thanks to Richard Warburton.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Feb 2014 21:26:09 +0000

debian-timeline (27) unstable; urgency=low

  * Add bootstrap service. Thanks Pabs :)
  * Add "Debian Bug #730000 reported".
  * "Add Paris mini-DebConf announced".
  * Add "Blends web sentinel becomes an official service"
  * Add events from Paul Wise (pabs):
    - ia64 architecture retired.
    - Bug squashing party in Monmouth, United Kingdom.
    - Continuous Integration service available.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Feb 2014 08:30:15 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python, python-debian
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://timeline.debian.net/
 Vcs-Git: git://github.com/lamby/debian-timeline.git
 Vcs-Browser: https://github.com/lamby/debian-timeline

=== debian/rules ===
#!/usr/bin/make -f

INPUT	:= $(wildcard data/*)
OUTPUT	:= $(addsuffix .xml,$(subst data/,xml/,$(basename $(INPUT))))

%:
	dh $@

override_dh_auto_build: $(OUTPUT)
	dh_auto_build

xml/%.xml: data/%
	@mkdir -p xml
	./build.py $< >$@

## debian-timeline 35

=== debian/changelog ===
debian-timeline (35) unstable; urgency=low

  * "arm64, ppc64el architectures added". Thanks to Paul Wise.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Sep 2014 11:02:20 +0100

debian-timeline (34) unstable; urgency=low

  * Add from Paul Wise, many thanks!
    - Debian wheezy and squeeze point releases
    - libjpeg-turbo chosen as the default JPEG decoder
    - Add planned bug squashing party at LiMux, Munich, Germnay.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Aug 2014 15:25:19 +0100

debian-timeline (33) unstable; urgency=low

  * Add from Paul Wise:
    - debmetrics service available.
    - Use the correct hostname for links to package changelogs.

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Aug 2014 13:48:02 +0100

debian-timeline (32) unstable; urgency=low

  * Bump Standards-Version to 3.9.5.
  * Add from Paul Wise:
    - Contributors service was available last year
    - alpha architecture was retired a long time ago
    - vcswatch.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jul 2014 09:28:10 +0100

debian-timeline (31) unstable; urgency=low

  * Add from Paul Wise:
    - "Bug squashing party (Bitraf, Oslo, Norway)"
    - Debian 7 ("wheezy") updated (r5)
    - Code of conduct General Resolution
    - Long term support for Debian 6.0 ("wheezy") announced
    - Mini-DebConf, Auckland, New Zealand
    - sparc architecture retired
    - Fix the LTS hostname
    - Debian Bug #750000 reported by Holger Levsen

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Jun 2014 17:41:48 +0100

debian-timeline (30) unstable; urgency=low

  * New git repo location.
  * Add source for 0.93RC release. Thanks to Adam Baxter.
  * Add events from Paul Wise:
    - Bug squashing party (Cambridge, United Kingdom)
    - First alpha of jessie's debian-installer released
    - Xfce now the temporarily the default desktop environment
    - DPL 2014 elections

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Apr 2014 07:26:38 +0100

## debian-timeline 36

=== debian/changelog ===
debian-timeline (36) unstable; urgency=medium

  * Added from Paul Wise:
    - Debian Bug #760000 reported by René Mayorga
  * Added from Anndrei Popescu:
    - Add first and second beta d-i release for jessie
    - debian-policy version 3.9.6.0
    - systemd default init for jessie

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Oct 2014 22:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python, python-debian
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://timeline.debian.net/
 Vcs-Git: git://github.com/lamby/debian-timeline.git
 Vcs-Browser: https://github.com/lamby/debian-timeline

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,18 @@
 xml/%.xml: data/%
 	@mkdir -p xml
 	./build.py $< >$@
+
+gh-pages: $(OUTPUT)
+	git branch -D $@ || true
+	git checkout --orphan $@
+	echo timeline.debian.net > CNAME
+	rm -rf .gitignore debian/ data/
+	cp -rv /usr/share/javascript/timeline_js media
+	cp -rv /usr/share/javascript/timeline_ajax media
+	git add --all .
+	git commit --allow-empty -m "Automatic build for $@"
+	git push -f origin $@
+	git checkout master
+	git branch -D $@
+
+.PHONY: gh-pages

## debian-timeline 37

=== Makefile ===
prefix ?= /usr/local
datadir ?= ${prefix}/share/debian-timeline
symlinks ?= 1

all: build

INPUT    := $(wildcard data/*)
OUTPUT   := $(addsuffix .xml,$(subst data/,xml/,$(basename $(INPUT))))
INSHTML  := $(addprefix ${DESTDIR}${datadir}/,$(wildcard *.html))
INSXML   := $(addprefix ${DESTDIR}${datadir}/,$(OUTPUT))
INSMEDIA := $(addprefix ${DESTDIR}${datadir}/,$(wildcard media/debian*) media/timeline_js media/timeline_ajax)

xml/%.xml: data/% data/%/* build.py
	@mkdir -p xml
	python build.py $< >$@

media/timeline_js: /usr/share/javascript/timeline_js
	ln -sf /usr/share/javascript/timeline_js $@

media/timeline_ajax: /usr/share/javascript/timeline_ajax
	ln -sf /usr/share/javascript/timeline_ajax $@

build: $(OUTPUT) media/timeline_js media/timeline_ajax

${DESTDIR}${datadir}:
	install -d ${DESTDIR}${datadir}

${DESTDIR}${datadir}/%.html: %.html ${DESTDIR}${datadir}
	install -m644 -t ${DESTDIR}${datadir} $<

${DESTDIR}${datadir}/xml: ${DESTDIR}${datadir}
	install -d ${DESTDIR}${datadir}/xml

${DESTDIR}${datadir}/xml/%.xml: xml/%.xml ${DESTDIR}${datadir}/xml
	install -m644 -t ${DESTDIR}${datadir}/xml $<

${DESTDIR}${datadir}/media: ${DESTDIR}${datadir}
	install -d ${DESTDIR}${datadir}/media

${DESTDIR}${datadir}/media/%: media/% ${DESTDIR}${datadir}/media
	install -m644 -t ${DESTDIR}${datadir}/media $<

${DESTDIR}${datadir}/media/timeline_%: media/timeline_% ${DESTDIR}${datadir}/media
	rm --force --recursive ${DESTDIR}${datadir}/$<
ifeq (1,${symlinks})
	ln -sf /usr/share/javascript/$(notdir $<) ${DESTDIR}${datadir}/media
else
	cp --dereference --recursive $< ${DESTDIR}${datadir}/media
endif

install: build ${DESTDIR}${datadir} ${INSHTML} ${INSXML} ${INSMEDIA}

uninstall:
	rm -rf ${DESTDIR}${datadir}

clean:
	rm -rf xml media/timeline_*

.PHONY: all build install clean

=== debian/changelog ===
debian-timeline (37) unstable; urgency=low

  * Added from Ben Hutchings:
    - Adrian von Bidder passed away in 2011.
  * wrap-and-sort.
  * Update Vcs-{Git,Browser}. (Closes: #778522)
  * Bump Debhelper compatibility level to 9.
  * Add libjs-simile-timeline to Build-Depends now that we symlink it.
  * Import glob as a top-level.
  * Don't clobber builtin dir.
  * Make the build reproducible.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Oct 2015 08:53:35 +0000

=== debian/control ===
Source: debian-timeline
Section: web
Priority: optional
Maintainer: Debian publicity team <debian-publicity@lists.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 9)
Build-Depends-Indep:
 libjs-simile-timeline,
 python,
 python-dateutil,
 python-debian
Standards-Version: 3.9.6
Homepage: http://timeline.debian.net/
Vcs-Git: git://anonscm.debian.org/publicity/debian-timeline.git
Vcs-Browser: https://anonscm.debian.org/cgit/publicity/debian-timeline.git

Package: debian-timeline
Architecture: all
Depends:
 libjs-simile-timeline,
 ${misc:Depends}
Description: Web-based timeline of the Debian Project
 The Debian Project timeline is a HTML and Javascript-based interactive
 timeline of the Debian Project. It includes the dates of:
 .
  * All Debian releases, including point releases and freeze windows
  * Infrastructure changes
  * Conferences and bug-squashing parties
  * General resolution and DPL votes
  * Important releases of Debian-specific and third-party software
  * Curiosa items such as anniversaries and bug number milestones
  * (and more)

## debian-timeline 38

=== debian/changelog ===
debian-timeline (38) unstable; urgency=medium

  * Team upload.
  * Many updates by Ondřej Nový, Ana Guerrero Lopez, Paul Wise and
    Martin Zobel-Helas.
  * Add script update-bug-list.py thanks to Rafael Laboissiere to automatically
    update data/events/bugs. (Closes: #805238)
  * Update data/events/bugs, use the new script to add old bugs.
    (Closes: #805248)
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Aug 2016 22:01:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python,
  python-dateutil,
  python-debian
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://timeline.debian.net/
 Vcs-Git: git://anonscm.debian.org/publicity/debian-timeline.git
 Vcs-Browser: https://anonscm.debian.org/cgit/publicity/debian-timeline.git

## debian-timeline 39

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,10 @@
 media/timeline_ajax: /usr/share/javascript/timeline_ajax
 	ln -sf /usr/share/javascript/timeline_ajax $@
 
-build: $(OUTPUT) media/timeline_js media/timeline_ajax
+media/jquery: /usr/share/javascript/jquery
+	ln -sf /usr/share/javascript/jquery $@
+
+build: $(OUTPUT) media/timeline_js media/timeline_ajax media/jquery
 
 ${DESTDIR}${datadir}:
 	install -d ${DESTDIR}${datadir}

=== debian/changelog ===
debian-timeline (39) unstable; urgency=medium

  * Team upload

  [ Paul Wise ]
  * Update data/events/bugs using update-bug-list.py

  [ Ana Guerrero López ]
  * a few updates
  * update voting events

  [ Jonathan Wiltshire ]
  * Debian stretch released

  [ Cyril Brulebois ]
  * Publication of Debian 9.2

  [ Cédric Boutillier ]
  * Publication of Debian 8.9 and 9.1
  * add Jessie 8.7 release
  * Add info about bugs 870000 and 880000
  * Add DebConf17 and other mini-DebConfs
  * Add policy releases until 4.1.2.0
  * A few LS announcements
  * Add sprints for 2015-2017
  * Update control file with cme
    + Bump Standards-Version to 4.1.1 (no changes needed)
  * Remove empty dirs directory
  * Build/Depend on libjs-jquery and load explicitly jquery since the embedded
    copy has been removed from libjs-simile-timeline

 -- Cédric Boutillier <boutil@debian.org>  Fri, 01 Dec 2017 15:04:38 +0100

=== debian/control ===
Source: debian-timeline
Maintainer: Debian publicity team <debian-publicity@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>,
           Paul Wise <pabs@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libjs-simile-timeline,
                     libjs-jquery,
                     python,
                     python-dateutil,
                     python-debian
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/publicity/debian-timeline.git
Vcs-Git: https://anonscm.debian.org/git/publicity/debian-timeline.git
Homepage: http://timeline.debian.net/

Package: debian-timeline
Architecture: all
Depends: libjs-simile-timeline,
         libjs-jquery,
         ${misc:Depends}
Description: Web-based timeline of the Debian Project
 The Debian Project timeline is a HTML and Javascript-based interactive
 timeline of the Debian Project. It includes the dates of:
 .
  * All Debian releases, including point releases and freeze windows
  * Infrastructure changes
  * Conferences and bug-squashing parties
  * General resolution and DPL votes
  * Important releases of Debian-specific and third-party software
  * Curiosa items such as anniversaries and bug number milestones
  * (and more)

## debian-timeline 40

=== debian/changelog ===
debian-timeline (40) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * add rule to copy/link jquery upon install
  * Updated Debian 8.10 and 9.3

  [ Jean-Pierre Giraud ]
  * Update URL of git repo to salsa

  [ Chris Lamb ]
  * Drop trailing forward-slashes on URIs.
  * Move the package under Publicity Team.

  [ Donald Norwood ]
  * 8.11 Release to timeline
  * Fix typo

  [ Laura Arjona Reina ]
  * Remove Chris Lamb from Uploaders

  [ Ana Guerrero López ]
  * add the possibility of pushing with "make mpublish"
  * add debconf18

  [ Birger Schacht ]
  * Add Mini DebConf in Hamburg, Germany, May 2018
  * Add policy updates till v4.2.1
  * Add two missing point releases (9.4, 9.5)

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.2.1
  * debian/control: Use https url for Homepage field
  * debian: Bump debhelper compat to v11
  * debian/rules: Drop --parallel option, not needed anymore

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 11:50:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: debian-timeline
 Maintainer: Debian publicity team <debian-publicity@lists.debian.org>
-Uploaders: Chris Lamb <lamby@debian.org>,
-           Paul Wise <pabs@debian.org>
+Uploaders: Paul Wise <pabs@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: libjs-simile-timeline,
                      libjs-jquery,
                      python,
                      python-dateutil,
                      python-debian
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/publicity/debian-timeline.git
-Vcs-Git: https://anonscm.debian.org/git/publicity/debian-timeline.git
-Homepage: http://timeline.debian.net/
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/publicity-team/debian-timeline
+Vcs-Git: https://salsa.debian.org/publicity-team/debian-timeline.git
+Homepage: https://timeline.debian.net/
 
 Package: debian-timeline
 Architecture: all

## debian-timeline 41

=== debian/changelog ===
debian-timeline (41) unstable; urgency=medium

  * Team upload. 

  [ Birger Schacht ]
  * Various updates to events:
    + Mini Debconf in Curitiba, Brazil (2018-04)
    + Bug milestones for 890000, 900000 and 910000
    + Bug Squashing Parties from 2014 to 2019
    + Debian/Xen microsprint (2018-09)
    + DebConf 2019 (2019-07)
    + Selected as "Best Linux Distruction" (2018-02)
    + Voted as "Server Distribution of the Year" (2012-02, 2011-02)
    + Debian Cloud Sprint 2018 (2018-10)
    + Debian Policy release till 4.3.0.0
  * Various updates to announcements:
    + Debian 7.0 LTS EOL
    + Debian FTP shutdown
    + Debian Alioth shutdown
    + DPL 2018 elections
    + Retirement of powerpc as release architecture
    + Debian 9.6 release
  * .gitignore: Ignore jquery softlink file

  [ Laura Arjona Reina ]
  * Add Debian 9.6 release information

  [ Boyuan Yang ]
  * debian/control: Build-depend on debhelper-compat (= 12)
  * debian/control: Bump Standards-Version to 4.3.0
  * debian/rules: Use "dh_missing --fail-missing"

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 11:02:05 -0500

## debian-timeline 42

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 OUTPUT   := $(addsuffix .xml,$(subst data/,xml/,$(basename $(INPUT))))
 INSHTML  := $(addprefix ${DESTDIR}${datadir}/,$(wildcard *.html))
 INSXML   := $(addprefix ${DESTDIR}${datadir}/,$(OUTPUT))
-INSMEDIA := $(addprefix ${DESTDIR}${datadir}/,$(wildcard media/debian*) media/timeline_js media/timeline_ajax)
+INSMEDIA := $(addprefix ${DESTDIR}${datadir}/,$(wildcard media/debian*) media/timeline_js media/timeline_ajax media/jquery)
 
 xml/%.xml: data/% data/%/* build.py
 	@mkdir -p xml
@@ -51,6 +51,14 @@
 	cp --dereference --recursive $< ${DESTDIR}${datadir}/media
 endif
 
+${DESTDIR}${datadir}/media/jquery: media/jquery ${DESTDIR}${datadir}/media
+	rm --force --recursive ${DESTDIR}${datadir}/$<
+ifeq (1,${symlinks})
+	ln -sf /usr/share/javascript/$(notdir $<) ${DESTDIR}${datadir}/media
+else
+	cp --dereference --recursive $< ${DESTDIR}${datadir}/media
+endif
+
 install: build ${DESTDIR}${datadir} ${INSHTML} ${INSXML} ${INSMEDIA}
 
 uninstall:
@@ -59,4 +67,7 @@
 clean:
 	rm -rf xml media/timeline_*
 
+mpublish:
+	./git-post-update
+
 .PHONY: all build install clean

=== debian/changelog ===
debian-timeline (42) unstable; urgency=medium

  * Team upload.
  
  [ Boyuan Yang ]
  * debian/links: Removed, useless file.

  [ Birger Schacht ]
  * Various updates to events:
    + Bug Squashing Parties from 2019-01-25 to 2019-04-07.
    + Debian Installer releases from Jessie RC 1 to Buster Alpha 5.
    + Debian Bug milestonts for 920000.
    + SnowCamp 2019 in Laveno, Italy (2019-02).
    + Mini Debconf in Marseille, France (2019-05).
    + Debian Policy 4.3.0.2 and 4.3.0.3.
    + DebConf Video team sprint (2019-02).
    + Debian Med 2019 Sprint (2019-03).
    + Debian Web Team Sprint (2019-03).
    + Mini Debconf in Hamburg, Germany (2019-06).
    + DPL 2019 Electrons (2019-03).

  [ Donald Norwood ]
  * Add Debian 9.7 and Debian 9.8 release events.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Apr 2019 15:56:26 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Paul Wise <pabs@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: libjs-simile-timeline,
                      libjs-jquery,
                      python,
                      python-dateutil,
                      python-debian
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/publicity-team/debian-timeline
 Vcs-Git: https://salsa.debian.org/publicity-team/debian-timeline.git
 Homepage: https://timeline.debian.net/

## debian-timeline 42+nmu1

=== debian/changelog ===
debian-timeline (42+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:15:48 +0800

## debian-timeline 43

=== debian/changelog ===
debian-timeline (43) unstable; urgency=medium

  * Team upload.
  * Various updates to events:
    + Debian 9.9 release event.
    + Pass away news for Lucy Wayland and Innocent de Marchi.
    + Update link of web team sprint report in 2019.
    + Debian 10 ("buster") release event.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 14:12:02 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                      python,
                      python-dateutil,
                      python-debian
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/publicity-team/debian-timeline
 Vcs-Git: https://salsa.debian.org/publicity-team/debian-timeline.git
 Homepage: https://timeline.debian.net/

## debian-timeline 44

=== debian/changelog ===
debian-timeline (44) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Build-depends on python3:any instead of python3.
  * update-bug-list.py: Try to migrate to python3.

  [ Birger Schacht ]
  * Migrate to python3.  Based on lambys patch to port the tails-timeline to
    python3 (see tails-team/tails-timeline@053b85c7).  Proofread and merged
    by joostvb.  Closes: #942953

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2019 12:52:29 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: libjs-simile-timeline,
                      libjs-jquery,
-                     python,
-                     python-dateutil,
-                     python-debian
-Standards-Version: 4.4.0
+                     python3:any,
+                     python3-dateutil,
+                     python3-debian,
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/publicity-team/debian-timeline
 Vcs-Git: https://salsa.debian.org/publicity-team/debian-timeline.git
 Homepage: https://timeline.debian.net/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_missing:
	dh_missing --fail-missing

## debian-timeline 45

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 xml/%.xml: data/% data/%/* build.py
 	@mkdir -p xml
-	python build.py $< >$@
+	python3 build.py $< >$@
 
 media/timeline_js: /usr/share/javascript/timeline_js
 	ln -sf /usr/share/javascript/timeline_js $@

=== debian/changelog ===
debian-timeline (45) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Set Rules-Requires-Root: no.
  * Various updates to events.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Jun 2020 17:50:49 -0400

## debian-timeline 46

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 prefix ?= /usr/local
 datadir ?= ${prefix}/share/debian-timeline
 symlinks ?= 1
+DIR=/srv/timeline.debian.net
 
 all: build
 
@@ -65,9 +66,12 @@
 	rm -rf ${DESTDIR}${datadir}
 
 clean:
-	rm -rf xml media/timeline_*
+	rm -rf xml media/timeline_js media/timeline_ajax media/jquery
 
 mpublish:
-	./git-post-update
+	mkdir -p $(DIR)/htdocs
+	./update
+	sudo -u staticsync /usr/local/bin/static-update-component timeline.debian.net
+	rm -rf $(DIR)/htdocs
 
 .PHONY: all build install clean

=== debian/changelog ===
debian-timeline (46) unstable; urgency=medium

  * Team upload.

  [ Edward Betts ]
  * Correct spelling mistakes.

  [ Laura Arjona Reina ]
  * Fix "Source:" tags in some entries.
  * Update point releases, release eras, architectures, blends, BSPs, bugs,
    conferences, d-i, debian-live, derivatives, policy, security, voting
  * Reorder awards

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 28 Feb 2023 20:43:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Paul Wise <pabs@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: libjs-simile-timeline,
                      libjs-jquery,
                      python3:any,
                      python3-dateutil,
                      python3-debian,
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/publicity-team/debian-timeline
 Vcs-Git: https://salsa.debian.org/publicity-team/debian-timeline.git
 Homepage: https://timeline.debian.net/

## debian-timeline 46build1

=== debian/changelog ===
debian-timeline (46build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 21:37:36 +0000
